# Uses of Class
org.apache.avro.file.DataFileStream.Header

Packages that use DataFileStream.Header
Package
Description
org.apache.avro.file
A container file for Avro data.

## Uses of DataFileStream.Header in org.apache.avro.file

Methods in org.apache.avro.file that return DataFileStream.Header
Modifier and Type
Method
Description
`DataFileStream.Header`
DataFileStream.`getHeader()`
A handle that can be used to reopen this stream without rereading the head.
Methods in org.apache.avro.file with parameters of type DataFileStream.Header
Modifier and Type
Method
Description
`static <D> DataFileReader<D>`
DataFileReader.`openReader(SeekableInput in, DatumReader<D> reader, DataFileStream.Header header, boolean sync)`
Construct a reader for a file at the current position of the input, without reading the header.
Constructors in org.apache.avro.file with parameters of type DataFileStream.Header
Modifier
Constructor
Description
`protected`
`DataFileReader(SeekableInput sin, DatumReader<D> reader, DataFileStream.Header header)`
Construct using a `DataFileStream.Header`.